Bug 1312612 - pngpaste produces erroneous output
pngpaste produces erroneous output
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: netpbm (Show other bugs)
23
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Josef Ridky
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-27 17:57 EST by George Sicherman
Modified: 2016-08-05 09:42 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-08-05 09:42:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The PBM file containing the output of pnmpaste as used above. (33 bytes, application/octet-stream)
2016-02-27 17:57 EST, George Sicherman
no flags Details

  None (edit)
Description George Sicherman 2016-02-27 17:57:26 EST
Created attachment 1131174 [details]
The PBM file containing the output of pnmpaste as used above.

Description of problem:

     Pngpaste can produce erroneous output when used on PBM files.

Version-Release number of selected component (if applicable):

     10.66.02-5.fc22

How reproducible:

1. Run these NetPBM commands:

      $ pbmmake -white 12 12 > /tmp/w.pbm
      $ pbmmake -black 4 4 > /tmp/b.pbm
      $ pnmpaste 4 4 /tmp/b.pbm /tmp/w.pbm > /tmp/bug.pbm
      $

2. Examine /tmp/bug.pbm with a picture manipulator such as the
GIMP, or run pnmtopng on /tmp/bug.pbm and examing the output
with any graphic browser.

Actual results:  the output picture is a 12x12 white square with
  a 4x7 black rectangle.

Expected results:  the output picture is a 12x12 white square
  with a centered 4x4 black square.

Additional info:  I have not tested this bug with PGM or PPM files.
Comment 1 George Sicherman 2016-02-27 18:01:00 EST
I reported the pnmpaste command incorrectly.  The correct command is:

    $ pnmpaste /tmp/b.pbm 4 4 /tmp/w.pbm > /tmp/bug.pbm
Comment 2 George Sicherman 2016-02-27 18:03:10 EST
The bug does not appear when I use PGM files instead of
PBM files.
Comment 3 Fedora Admin XMLRPC Client 2016-07-11 06:15:16 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora End Of Life 2016-07-19 16:00:46 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 5 George Sicherman 2016-07-22 09:57:44 EDT
I have carried this bug forward to Fedora 23.  It persists there.
Comment 6 George Sicherman 2016-07-22 10:19:45 EDT
I just tested this bug on a Sempron (i686) system running Fedora 24.  The output is correct.  The problem may exist only on 64-bit systems.
Comment 7 Josef Ridky 2016-08-05 04:24:04 EDT
New release of netpbm package is available. I was trying to reproduce described bug and the result is same as expected result. (Tested on 64bit Fedora 24)

Please try:
  sudo dnf --enablerepos=updates-testing upgrade netpbm*

and check, if described problem persist for you or not.

If described bug will not persist, please close this bug.
Comment 8 George Sicherman 2016-08-05 09:42:00 EDT
Thank you for testing the bug with the latest version of NetPBM.  I do not own a 64-bit Fedora 24 system, so I cannot test it myself.  I will trust your testing, and assume that the bug will be gone after I upgrade my 64-bit system to Fedora 24.

I am closing this bug report.

Note You need to log in before you can comment on or make changes to this bug.